org.springframework.batch.core.job.flow.support.state

## Class AbstractState

- java.lang.Object
- - org.springframework.batch.core.job.flow.support.state.AbstractState

- All Implemented Interfaces:
    State
  Direct Known Subclasses:
    DecisionState, EndState, FlowState, SimpleFlowFactoryBean.DelegateState, SplitState, StepState

      public abstract class AbstractState
      extends java.lang.Object
      implements State

  Since:
    2.0
  Author:
    Dave Syer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractState(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` The name of the state.
    `abstract FlowExecutionStatus` | `handle(FlowExecutor executor)` Handle some business or processing logic and return a status that can be used to drive a flow to the next `State`.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.batch.core.job.flow.State

      `isEndState`

- - ### Constructor Detail

    - #### AbstractState

          public AbstractState(java.lang.String name)

      Parameters:
        `name` - of the state.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `State`
      The name of the state. Should be unique within a flow.
      Specified by:
        `getName` in interface `State`
      Returns:
        the name of this state

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### handle

          public abstract FlowExecutionStatus handle(FlowExecutor executor)
                                              throws java.lang.Exception

      Description copied from interface: `State`
      Handle some business or processing logic and return a status that can be used to drive a flow to the next `State`. The status can be any string, but special meaning is assigned to the static constants in `FlowExecution`. The context can be used by implementations to do whatever they need to do. The same context will be passed to all `State` instances, so implementations should be careful that the context is thread-safe, or used in a thread-safe manner.
      Specified by:
        `handle` in interface `State`
      Parameters:
        `executor` - the context passed in by the caller
      Returns:
        a status for the execution
      Throws:
        `java.lang.Exception` - if anything goes wrong